/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.html.normalizer.parser.valueobject;

/**
 * HTMLのコメント・イベントをあらわすバリューオブジェクトです。
 */
public class BlancoHtmlEventComments extends BlancoHtmlEvent {
    /**
     * フィールド: [comments]。
     */
    private String fComments;

    /**
     * 0:なし、1:シングルクオート、2:ダブルクオート
     *
     * フィールド: [type]。
     * デフォルト: [2]。
     */
    private int fType = 2;

    /**
     * フィールド [comments] の値を設定します。
     *
     * @param argComments フィールド[comments]に設定する値。
     */
    public void setComments(final String argComments) {
        fComments = argComments;
    }

    /**
     * フィールド [comments] の値を取得します。
     *
     * @return フィールド[comments]から取得した値。
     */
    public String getComments() {
        return fComments;
    }

    /**
     * フィールド [type] の値を設定します。
     *
     * フィールドの説明: [0:なし、1:シングルクオート、2:ダブルクオート]。
     *
     * @param argType フィールド[type]に設定する値。
     */
    public void setType(final int argType) {
        fType = argType;
    }

    /**
     * フィールド [type] の値を取得します。
     *
     * フィールドの説明: [0:なし、1:シングルクオート、2:ダブルクオート]。
     * デフォルト: [2]。
     *
     * @return フィールド[type]から取得した値。
     */
    public int getType() {
        return fType;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * <P>使用上の注意</P>
     * <UL>
     * <LI>オブジェクトのシャロー範囲のみ文字列化の処理対象となります。
     * <LI>オブジェクトが循環参照している場合には、このメソッドは使わないでください。
     * </UL>
     *
     * @return バリューオブジェクトの文字列表現。
     */
    @Override
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.html.normalizer.parser.valueobject.BlancoHtmlEventComments[");
        buf.append("comments=" + fComments);
        buf.append(",type=" + fType);
        buf.append("]");
        return buf.toString();
    }
}
